## python-idasen-ha 2.6.3

=== requirements.txt ===
idasen>=0.10,<=0.12.0

## python-idasen-ha 2.6.2

=== debian/changelog ===
python-idasen-ha (2.6.2-2) unstable; urgency=medium

  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Sep 2024 14:26:40 +0200

python-idasen-ha (2.6.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1081170)

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Sep 2024 22:42:53 +0200

=== debian/control ===
Source: python-idasen-ha
Section: python
Priority: optional
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-idasen,
 python3-pytest,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-idasen-ha
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-idasen-ha.git
Homepage: https://github.com/abmantis/idasen-ha/

Package: python3-idasen-ha
Architecture: all
Depends:
 python3-idasen,
 ${misc:Depends},
 ${python3:Depends},
Description: Home Assistant helper lib for the IKEA Idasen Desk integration
 This package provides a Home Assistant helper library for accessing to the
 IKEA Idasen Desk integration.
 .
 The IDÅSEN is an electric sitting standing desk with a Linak controller sold
 by ikea. The position of the desk can controlled by a physical switch on the
 desk or via bluetooth using an phone app.
 .
 This package is a dependency of Home Assistant.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/abmantis/idasen-ha/.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

## python-idasen-ha 2.6.3

=== debian/changelog ===
python-idasen-ha (2.6.3-2) unstable; urgency=medium

  * Add Build-Depends for python3-bleak (>= 1.0.1). (Closes: #1109713)
  * Only the tests need the latest version of bleak, the library itself works
    with the old or new bleak API.

 -- Edward Betts <edward@4angle.com>  Wed, 23 Jul 2025 07:38:53 +0100

python-idasen-ha (2.6.3-1) unstable; urgency=medium

  * New upstream release.
  * Patch tests to use new bleak API.
  * Add my name to copyright and uploaders.
  * Update debhelper-compat to 13.
  * Update Standards-Version.
  * Add <!nocheck> to test dependencies.

 -- Edward Betts <edward@4angle.com>  Tue, 22 Jul 2025 16:13:56 +0100

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,20 @@
 Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Edward Betts <edward@4angle.com>,
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
 Build-Depends-Indep:
- python3-idasen,
- python3-pytest,
-Standards-Version: 4.6.1
+ python3-bleak (>= 1.0.1) <!nocheck>,
+ python3-idasen <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pytest-asyncio <!nocheck>,
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-idasen-ha
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-idasen-ha.git
 Homepage: https://github.com/abmantis/idasen-ha/
@@ -34,4 +37,3 @@
  desk or via bluetooth using an phone app.
  .
  This package is a dependency of Home Assistant.
-

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,3 @@
 
 %:
 	dh $@ --buildsystem=pybuild --with python3
-
-
-

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" https://github.com/abmantis/idasen-ha/ refs/tags/(\d[brc\d\.]+)
